classification
Title: test_multiprocessing.test_notify_all(): AssertionError: 6 != 5 on x86 Windows XP 2.7
Type: Stage: resolved
Components: Tests, Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: davin, paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: buildbot

Created on 2017-05-11 14:36 by vstinner, last changed 2017-05-15 15:33 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1591 vstinner, 2017-05-15 14:27
Messages (5)
msg293496 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-11 14:36
http://buildbot.python.org/all/builders/x86%20Windows%20XP%202.7/builds/150/steps/test/logs/stdio

0:19:29 [214/402/1] test_multiprocessing crashed -- running: test_mmap (43 sec)

[0, 0.0]
[76985 refs]
test test_multiprocessing failed -- Traceback (most recent call last):
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\test_multiprocessing.py", line 844, in test_notify_all
    self.assertReturnsIfImplemented(6, get_value, woken)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\test_multiprocessing.py", line 149, in assertReturnsIfImplemented
    return self.assertEqual(value, res)
AssertionError: 6 != 5

Traceback (most recent call last):
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\runpy.py", line 174, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\runpy.py", line 72, in _run_code
    exec code in run_globals
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\regrtest.py", line 1882, in <module>
    main_in_temp_cwd()
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\regrtest.py", line 1869, in main_in_temp_cwd
    main()
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\contextlib.py", line 35, in __exit__
    self.gen.throw(type, value, traceback)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 769, in temp_cwd
    rmtree(name)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 293, in rmtree
    _rmtree(path)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 249, in _rmtree
    _waitfor(lambda p: _force_run(p, os.rmdir, p), path)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 202, in _waitfor
    func(pathname)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 249, in <lambda>
    _waitfor(lambda p: _force_run(p, os.rmdir, p), path)
  File "d:\cygwin\home\db3l\buildarea\2.7.bolen-windows\build\lib\test\support\__init__.py", line 197, in _force_run
    return func(*args)
WindowsError: [Error 32] The process cannot access the file because it is being used by another process: 'd:\\cygwin\\home\\db3l\\buildarea\\2.7.bolen-windows\\build\\build\\test_python_2512'
msg293542 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-12 11:22
Also failed on:
http://buildbot.python.org/all/builders/x86%20Windows%20XP%20VS9.0%202.7/builds/147/steps/test/logs/stdio
msg293703 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-15 10:32
New fail on x86 Windows XP VS9.0 2.7:
http://buildbot.python.org/all/builders/x86%20Windows%20XP%20VS9.0%202.7/builds/153/steps/test/logs/stdio
msg293711 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-15 14:27
I created https://github.com/python/cpython/pull/1591 : backport bpo-11790 to 2.7.
msg293715 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-05-15 15:33
I pushed my backport. Since the bug occurs randomly, I consider that it's now fixed and I close the issue. I may reopen if the bug reappears.

New changeset 9d1983be503012e750f49d31b569f3fe4554c628 by Victor Stinner in branch '2.7':
bpo-11790: Fix sporadic failures in test_multiprocessing.WithProcessesTestCondition. (#1591)
https://github.com/python/cpython/commit/9d1983be503012e750f49d31b569f3fe4554c628
History
Date User Action Args
2017-05-15 15:33:31vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg293715

stage: resolved
2017-05-15 14:27:03vstinnersetmessages: + msg293711
pull_requests: + pull_request1685
2017-05-15 10:32:11vstinnersetmessages: + msg293703
2017-05-12 11:22:55vstinnersetmessages: + msg293542
2017-05-11 14:36:47vstinnercreate